QGIS Application - Bug report #17479
WMS provider not picking up Geoserver tilesets
2017-11-16 04:47 PM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25376
Description

QGIS WMS provider picks up the tilesets from
http://haitidata.org/geoserver/gwc/service/wms?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=getcapabilities&#38; TILED=tr
€ but not from haitidata.org:8080/geoserver/wms?SERVICE=WMS&VERSION=1.1.1 &REQUEST=getcapabilities& TILED=true

For the latter, Geoserver routes the request to GWC if GWC WMS integration is enabled and if ?tiled=true. You can see the tilesets in the
GetCapabilities doc but QGIS doesm't register them.

History

#1 - 2017-11-21 04:46 PM - Giovanni Manghi
- Status changed from Open to Feedback

Can you show what are the configurations you use on the geoserver/geowebcache side? | tried with data of my own (and | activated gwc in gs), and the
tiled layers are added correctly shown in qgis 2.18.14.

#2 - 2018-08-16 10:46 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
